This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 579939 - Update to sudo-1.7.2p1 requires TTY even when that flag is off
Update to sudo-1.7.2p1 requires TTY even when that flag is off
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo (Show other bugs)
5.4
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-06 21:43 EDT by Peter Burkholder
Modified: 2011-08-22 09:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-22 09:13:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Burkholder 2010-04-06 21:43:35 EDT
Description of problem:

Upgrading from sudo-1.6.9p17-6.el5_4 to sudo-1.7.2p1-5.el5 broke shell scripts that called sudo scripts over ssh


Version-Release number of selected component (if applicable):


How reproducible:

1. start with a 1.6.9 system
2. confirm that requiretty is not in the sudoers file:

$ sudo grep requiretty /etc/sudoers
# Defaults    requiretty


3. run script from remote machine

remote$ /usr/bin/ssh -n -l day cms2.aarp.net \
    'exec /some/path/to/script/with/sudo/in/it'

4. upgrade

$ sudo rpm -Uvh sudo-1.7.2p1-5.el5.x86_64.rpm

5. Run same script from remote machine

remote$ /usr/bin/ssh -n -l day cms2.aarp.net \
    'exec /some/path/to/script/with/sudo/in/it'
sudo: no tty present and no askpass program specified

6. Unhappy fail. 

Additional info:
Comment 1 Daniel Kopeček 2010-04-19 09:00:29 EDT
Please, try:
 Defaults visiblepw

If it works, then sudo was unable to disable echo on the allocated tty or no tty is allocated (exec?).
Comment 2 Kal McFate 2010-04-23 12:36:54 EDT
This option would be fine to enable old behavior, however if you add this option to systems still running sudo 1.6.9 it breakes sudo entirely with the following:

sudo: unknown defaults entry `visiblepw' referenced near line 6
sudo: parse error in /etc/sudoers near line 5
Comment 3 Daniel Kopeček 2011-08-22 09:13:04 EDT
Try to use the `-t' option when executing the command on the remote machine using ssh. This is mentioned in the comment above the 'Defaults requiretty' line in the sudoers file (in 1.7.x).

Feel free to reopen this bug if the above mentioned solution isn't appropriate for your problem.

Note You need to log in before you can comment on or make changes to this bug.